##parameters=

block_types = {
    'select' : {
        'title' : '_fd_block_select_test',
	'template' : 'block_select_template',
	'slots' : [
	    {
	        'id' : 'select',
		'type' : 'select',
		'args' : {
		    'method' : 'get_select',
		    'kw' : { 'element' : 'EmploymentCategories' },
		    'multiple' : 0,
		    'size' : 1,
		}
	    },
	]
    },
    'text_image': {
        'title': '_fd_block_text_image_',
        'template': 'block_text_image_template',
        'slots': [
            {
                'id': 'text',
                'type': 'text',
                'args': {
                    'cols': 31,
                    'rows': 40,
		    'iseditable' : 1,
                }
            },
            {
                'id': 'text2',
                'type': 'text',
                'args': {
                    'cols': 31,
                    'rows': 10,
		    'iseditable' : 1,
                }
            },
            {
                'id': 'text3',
                'type': 'text',
                'args': {
                    'cols': 31,
                    'rows': 10,
		    'iseditable' : 1,
                }
            },
            {
                'id': 'image',
                'type': 'image',
                'args': {
                  'width': 210,
                  'size': 15,
		  'label' : 1,
                 }
            },
        ]
    },
    'two_cols': {
        'title': '_fd_block_two_cols_',
        'template': 'block_two_cols_template',
        'slots': [
            {
                'id': 'text',
                'type': 'text',
                'args': {
                    'cols': 31,
                    'rows': 20,
                }
            },
            {
                'id': 'text2',
                'type': 'text',
                'args': {
                    'cols': 31,
                    'rows': 20,
                }
            },
        ]
    },
    'text': {
        'title': '_fd_block_text_',
        'template': 'block_text_template',
        'slots': [
            {
                'id': 'text',
                'type': 'text',
                'args': {
                    'cols': 68,
                    'rows': 20,
		    'iseditable' : 1,
                }
            },
        ]
    },
    'section': {
        'title': '_fd_block_section_',
        'template': 'block_section_template',
        'reset_blocks': ('subsection', ),
        'slots': [
            {
                'id': 'string',
                'type': 'string',
                'args': {
                }
            },
        ]
    },
    'subsection': {
        'title': '_fd_block_subsection_',
        'template': 'block_subsection_template',
        'slots': [
            {
                'id': 'string',
                'type': 'string',
                'args': {
                }
            },
        ]
    },
    'image': {
        'title': '_fd_block_image_',
        'template': 'block_image_template',
        'slots': [
            {
                'id': 'image',
                'type': 'image',
                'args': {
                    'width': 440,
		    'label' : 1,
                }
            },
        ]
    },
    'file': {
        'title': '_fd_block_file_',
        'template': 'block_file_template',
        'slots': [
            {
                'id': 'file',
                'type': 'file',
                'args': {
                }
            },
        ]
    },
    'image_text': {
        'title': '_fd_block_image_text_',
        'template': 'block_image_text_template',
        'slots': [
            {
                'id': 'text',
                'type': 'text',
                'args': {
                    'cols': 31,
                    'rows': 10,
                }
            },
            {
                'id': 'text2',
                'type': 'text',
                'args': {
                    'cols': 31,
                    'rows': 10,
                }
            },
            {
                'id': 'text3',
                'type': 'text',
                'args': {
                    'cols': 31,
                    'rows': 40,
                }
            },
            {
                'id': 'image',
                'type': 'image',
                'args': {
                  'width': 210,
                  'size': 15,
                 }
            },
        ]
    },
    'two_images': {
        'title': '_fd_block_two_images_',
        'template': 'block_two_images_template',
        'slots': [
            {
                'id': 'image',
                'type': 'image',
                'args': {
                  'width': 210,
                  'size': 15,
                 }
            },
            {
                'id': 'image2',
                'type': 'image',
                'args': {
                  'width': 210,
                  'size': 15,
                 }
            },
        ]
    },
     'related_links': {
        'title': '_fd_block_related_links_',
        'template': 'block_related_links_template',
        'slots': [
            {
                'id': 'links',
                'type': 'links',
                'args': {
                    'cols': 50,
                    'rows': 6,
                }
            },
        ]
    },
    'twocols_links': {
        'title': '_fd_twocols_links_',
        'template': 'block_twocols_links_template',
        'slots': [
            {
                'id': 'text',
                'type': 'text',
                'args': {
                    'cols': 31,
                    'rows': 20,
                }
            },
            {
                'id': 'text2',
                'type': 'text',
                'args': {
                    'cols': 31,
                    'rows': 10,
                }
            },
            {
                'id': 'links',
                'type': 'links',
                'args': {
                  'cols': 31,
                  'rows': 5
                }
            }
        ]
    },
    'hr': {
        'title': '_fd_block_hr_',
        'template': 'block_hr_template',
        'slots': []
    },
    'spacer': {
        'title': '_fd_block_spacer_',
        'template': 'block_spacer_template',
        'slots': []
    },
    'code': {
        'title': '_fd_block_code_',
        'template': 'block_code_template',
        'slots': [
            {
                'id': 'text',
                'type': 'text',
                'args': {
                    'cols': 68,
                    'rows': 20,
                    'text_type': 'plain',
                }
            },
            {
                'id': 'filename',
                'type': 'string',
                'args': {
                }
            },
        ]
    },
}

block_types.update(context.additional_block_types())

return block_types
