# (c) 2002 Nuxeo SARL <http://nuxeo.com>
# (c) 2002 Julien Jalon <mailto:jj@nuxeo.com>
# (c) 2002 CIRB, Belgique
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.
#
# $Id: MessageCatalogTool.py,v 1.2 2002/09/05 12:58:44 jalon Exp $

"""
  Message Catalog Tool
"""

__version__='$Revision: 1.2 $'[11:-2]

from Globals import InitializeClass

from Products.CMFCore.utils import UniqueObject

from Products.Localizer.MessageCatalog import MessageCatalog, empty_po_header

class MessageCatalogTool(UniqueObject, MessageCatalog):
    """
    Message Catalog Tool.
    """

    id = 'portal_messages'
    meta_type = 'Message Catalog Tool'

    def __init__(self):
        MessageCatalog.__init__(self, self.id, '', ('en', ))

    def __call__(self, message, lang=None, add=1):
        if message.startswith('_'):
            return self.gettext(message, lang=lang, add=add)
        else:
            return message

InitializeClass(MessageCatalogTool)
