# Copyright (c) 2002 Nuxeo SARL <http://nuxeo.com>
# Copyright (c) 2002 CIRB, Belgique
# Author: Julien Jalon <mailto:jj@nuxeo.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.
#
# $Id: __init__.py,v 1.9 2003/04/06 09:13:37 fermigier Exp $

import sys
from Products.CMFCore import utils
from Products.CMFCore.DirectoryView import registerDirectory

import MetaDirectoriesTool
import MembersDirectory
try:
    import ldap
    has_ldap = 1
except ImportError:
    has_ldap = 0

if has_ldap:
    import LDAPDirectory

registerDirectory('skins', globals())

tools = (
            MetaDirectoriesTool.MetaDirectoriesTool,
        )

this_module = sys.modules[__name__]

z_tool_bases = utils.initializeBasesPhase1(tools, this_module)

def initialize(registrar):
    utils.initializeBasesPhase2(z_tool_bases, registrar)
    utils.ToolInit(
        'CMF MetaDirectories Tool',
        tools = tools,
        product_name = 'NuxMetaDirectories', # for icon and ?...
        icon = 'tool.gif',
    ).initialize(registrar)

    registrar.registerClass(
        MembersDirectory.MembersDirectory,
        permission='Add a Members Directory',
        constructors=(MembersDirectory.manage_addMembersDirectoryForm,
                      MembersDirectory.manage_addMembersDirectory),
    )

    registrar.registerClass(
        MembersDirectory.GroupsDirectory,
        permission='Add a Groups Directory',
        constructors=(MembersDirectory.manage_addGroupsDirectoryForm,
                      MembersDirectory.manage_addGroupsDirectory),
    )

    if has_ldap:
        registrar.registerClass(
            LDAPDirectory.LDAPDirectory,
            permission='Add a LDAP Directory',
            constructors=(LDAPDirectory.manage_addLDAPDirectoryForm,
                          LDAPDirectory.manage_addLDAPDirectory),
        )
